Extending Qt Creator Manual | Include

Extending Qt Creator Manual 4.5.2

# Include Class

(CPlusPlus::Document::Include)

- List of all members, including inherited members

## Public Functions

| Include(const QString &unresolvedFileName, const QString &resolvedFileName, unsigned line, Client::IncludeType type)
unsigned | line() const
QString | resolvedFileName() const
Client::IncludeType | type() const
QString | unresolvedFileName() const

## Member Function Documentation

### Include::Include(const QString &unresolvedFileName, const QString &resolvedFileName, unsigned line, Client::IncludeType type)

Default constructs an instance of Include.

### unsigned Include::line() const

### QString Include::resolvedFileName() const

### Client::IncludeType Include::type() const

### QString Include::unresolvedFileName() const